Skip to content

Plans one field deletion.

POST
/api/workspace/tasks/configuration/task-definitions/{taskDefinitionId}/data/{dataKind}/fields/{fieldId}/delete/schema-change-plan
curl --request POST \
--url https://example.com/api/workspace/tasks/configuration/task-definitions/example/data/example/fields/example/delete/schema-change-plan \
--header 'Authorization: Bearer <token>'
taskDefinitionId
required
string
dataKind
required
string
fieldId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Schema change awareness result for a planned entity schema mutation.

object
Warnings

Warnings produced by the planned schema mutation.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
RequiresConfirmation

Whether the mutation must be explicitly confirmed before it can be applied.

boolean
ConfirmationToken

Stateless confirmation token accepted by the matching apply endpoint.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}